<?php
/**
 * Kids Love Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Kids Love Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function kids_love_pro_custom_colors_css() {
  	$options= kids_love_pro_get_theme_options();

	$blue_color_value = $options['colorscheme_hue'];
	$red_color_value = $options['secondary_colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Blue Color
	--------------------------------------------------------------*/
	#masthead,
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.widget_search form.search-form .search-submit,
	.jetpack_subscription_widget input[type="submit"]:hover,
	.jetpack_subscription_widget input[type="submit"]:focus,
	.jetpack_subscription_widget button[type="submit"]:hover,
	.jetpack_subscription_widget button[type="submit"]:focus,
	.grid-item .gallery-overlay .bg,
	.widget_search form.search-form .search-submit,
	.backtotop,
	#introduction-section,
	#hero-section .read-more .btn, 
	#testimonial-section .read-more .btn,
	.nav-arrows .slick-next,
	#call-to-action,
	#our-gallery,
	.btn:hover, 
	.btn:focus,
	.service-item .read-more a:hover, 
	.service-item .read-more a:focus,
	.services-list-wrapper article:nth-child(1n) .service-icon a:hover, 
	.services-list-wrapper article:nth-child(1n) .service-icon a:focus,
	.trigger-icon:hover,
	.nav-arrows .slick-arrow:hover,
	#respond input[type="submit"]:hover, 
	#respond input[type="submit"]:focus,
	.reply a:hover, 
	.reply a:focus {
	    background: '. esc_attr( $blue_color_value ) .';
	}

	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	a:hover,
	a:focus,
	a:active,
	.main-navigation ul.sub-menu li a,
	.post-navigation a, 
	.posts-navigation a,
	.comment-meta .url,
	.comment-meta .fn,
	.comment-metadata a,
	.comment-metadata a time,
	#hero-section .entry-title a,
	#testimonial-section .entry-title a,
	#about-us .entry-header .entry-title a,
	.service-item .entry-title a,
	.tab-section li a,
	.archive-blog-wrapper .entry-title a,
	.archive-blog-wrapper .entry-content a,
	.post-categories a:hover,
	.post-categories a:focus,
	.single .post-categories a:hover,
	.single .post-categories a:focus,
	.single .byline a:hover,
	.single .byline a:focus {
	    color: '. esc_attr( $blue_color_value ) .';
	}

	.navigation.posts-navigation svg, 
	.navigation.post-navigation svg,
	.loader-container svg {
	    fill: '. esc_attr( $blue_color_value ) .';
	}

	/*--------------------------------------------------------------
	## Red Color
	--------------------------------------------------------------*/
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.widget_search form.search-form .search-submit:hover,
	.widget_search form.search-form .search-submit:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.archive-blog-wrapper article .btn:hover, 
	.archive-blog-wrapper article .btn:focus,
	.single .posted-on a,
	#colophon,
	.btn,
	.tab-section li.active a, 
	.tab-section li a:hover, 
	.tab-section li a:focus,
	.nav-arrows .slick-arrow,
	.trigger-icon,
	.services-list-wrapper article:nth-child(1n) .service-icon a,
	.service-item .read-more a,
	#hero-section .read-more .btn:hover, 
	#hero-section .read-more .btn:focus, 
	#testimonial-section .read-more .btn:hover, 
	#testimonial-section .read-more .btn:focus,
	#respond input[type="submit"],
	.reply a {
	    background: '. esc_attr( $red_color_value ) .';
	}

	a,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.post-navigation a:hover, 
	.posts-navigation a:hover,
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.jetpack_subscription_widget input[type="email"],
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_post h3 a:hover,
	.widget_featured_post h3 a:focus,
	.widget_featured_post a:hover time,
	.widget_featured_post a:focus time,
	.widget_popular_post a time,
	.widget_popular_post time,
	.widget_latest_post a time,
	.widget_latest_post time,
	.widget_featured_post a time,
	.widget_featured_post time,
	#secondary a:hover,
	#secondary a:focus,
	.single span.cat-links,
	ul.post-categories li:after,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a,
	.comment-metadata a time,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.section-subtitle,
	#introduction-section .entry-title a:hover,
	#introduction-section .entry-title a:focus,
	#hero-section .entry-title a:hover,
	#hero-section .entry-title a:focus,
	#testimonial-section .entry-title a:hover,
	#testimonial-section .entry-title a:focus,
	#about-us .entry-header .entry-title a:hover,
	#about-us .entry-header .entry-title a:focus,
	#call-to-action .entry-header .entry-title a:hover,
	#call-to-action .entry-header .entry-title a:focus,
	.service-item .entry-title a:hover,
	.service-item .entry-title a:focus,
	.archive-blog-wrapper .entry-title a:hover,
	.archive-blog-wrapper .entry-title a:focus,
	.archive-blog-wrapper article .btn,
	.byline a:hover,
	.byline a:focus,
	.archive-blog-wrapper .entry-content a:hover,
	.archive-blog-wrapper .entry-content a:focus,
	.post-categories a,
	.posted-on a:hover,
	.posted-on a:focus,
	.single .post-categories a,
	.single .byline a {
	    color: '. esc_attr( $red_color_value ) .';
	}

	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.widget svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:focus svg, 
	.navigation.post-navigation a:focus svg {
	    fill: '. esc_attr( $red_color_value ) .';
	}

	#respond input:focus,
	#respond textarea:focus,
	.wpcf7 input:focus,
	.wpcf7 textarea:focus {
	    border-color: '. esc_attr( $red_color_value ) .';
	}

	.btn:before, 
	.btn:after,
	.nav-arrows .slick-arrow,
	.nav-arrows .slick-arrow:before, 
	.nav-arrows .slick-next,
	.trigger-icon,
	.trigger-icon:before,
	#hero-section .btn:before, 
	#testimonial-section .btn:before,
	#hero-section .btn:after, 
	#testimonial-section .btn:after,
	.service-item .read-more a:before,
	.reply a:before, 
	.reply a:after,
	.service-item .read-more a,
	.service-item .read-more a:before {
		box-shadow: none;
	}

	.services-list-wrapper article:nth-child(1n) .service-icon a:hover, 
	.services-list-wrapper article:nth-child(1n) .service-icon a:focus {
		color: #fff;
	}

	/*--------------------------------------------------------------
	# Responsive Blue Color
	--------------------------------------------------------------*/
	@media screen and (max-width: 1023px) {
		.main-navigation a {
			color: '. esc_attr( $blue_color_value ) .';
		}
	}

	/*--------------------------------------------------------------
	# Responsive Red Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
		.main-navigation li.menu-item-has-children:hover > a > svg, 
		.main-navigation li.menu-item-has-children > a:hover > svg,
		.main-navigation ul#primary-menu > li.current-menu-item > a > svg {
			fill: '. esc_attr( $red_color_value ) .';
		}
		#masthead .main-navigation ul#primary-menu li.current-menu-item > a,
		#masthead .main-navigation ul.nav-menu > li > a:hover,
		.main-navigation ul#primary-menu li:hover > a {
			color: '. esc_attr( $red_color_value ) .';
		}
		.main-navigation ul.sub-menu li:hover > a,
		.main-navigation ul.sub-menu li:focus > a {
			background-color: '. esc_attr( $red_color_value ) .';
			color: #fff;
		}
	}

	/*--------------------------------------------------------------
	# Preloader
	--------------------------------------------------------------*/
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $blue_color_value ) .';}
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $blue_color_value ) .';}
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $blue_color_value ) .';}
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $blue_color_value ) .';}
	}

	.jetpack_subscription_widget input[type="email"]::-webkit-input-placeholder {
		color: '. esc_attr( $red_color_value ) .';
	}
	.jetpack_subscription_widget input[type="email"]::-moz-placeholder {
		color: '. esc_attr( $red_color_value ) .';
	}
	.jetpack_subscription_widget input[type="email"]:-moz-placeholder {
		color: '. esc_attr( $red_color_value ) .';
	}
	.jetpack_subscription_widget input[type="email"]::-ms-input-placeholder {
	    color: '. esc_attr( $red_color_value ) .';
	}';

	/**
	 * Filters Kids Love Pro custom colors CSS.
	 *
	 * @since Kids Love Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'kids_love_pro_custom_colors_css', $css );
}
